#!/usr/bin/env pike
/*
   wxPike - (c) 2005 Julio Csar Gzquez
   
   My own dialog sample	    
*/
	    
	    
class MyDialog
{
	inherit .wx.Dialog;
	int v;
	.wx.TextCtrl text5;
	
	void create()
	{
		Dialog::create(0,-1,"wxPike Dialog demo");
	
		Centre();

		.wx.BoxSizer sizer1 = .wx.BoxSizer(.wx.VERTICAL);
		SetSizer(sizer1);
		.wx.FlexGridSizer sizer2 = .wx.FlexGridSizer(6,2,4,4);
		sizer1->AddSizer(sizer2);

		.wx.StaticText label1 = .wx.StaticText( this_object(), -1, "Static Text:");
		sizer2->Add(label1,0,.wx.ALL , 4);
	
		.wx.StaticText statictext = .wx.StaticText( this_object(), -1, "Hello!");
		sizer2->Add(statictext,0,.wx.ALL , 4);
		
		.wx.StaticText label2 = .wx.StaticText( this_object(), 
			-1, "Text Control:");
		sizer2->Add(label2,0,.wx.ALL , 4);
		
		.wx.TextCtrl text = .wx.TextCtrl( this_object(), -1);
		sizer2->Add( text, 1, .wx.ALL | .wx.EXPAND, 4);

		.wx.StaticText label3 = .wx.StaticText( this_object(), 
			-1, "Combo Box:");
		sizer2->Add(label3,0,.wx.ALL , 4);
	
		.wx.ComboBox combo = .wx.ComboBox( this_object(), -1,"",.wx.Point(-1,-1),.wx.Size(-1,-1), ({  "apples","oranges","bananas","pears","peaches"})  );
		sizer2->Add(combo,1, .wx.ALL | .wx.EXPAND, 4);

		.wx.StaticText label4 = .wx.StaticText( this_object(), 
			-1, "List Box:");
		sizer2->Add(label4,0,.wx.ALL , 4);
	
		.wx.ListBox list = .wx.ListBox( this_object(), -1,.wx.Point(-1,-1),.wx.Size(-1,-1), ({  "yellow","red","green","blue"})  );

		sizer2->Add(list,1, .wx.ALL | .wx.EXPAND, 4);

		.wx.StaticText label5 = .wx.StaticText( this_object(), 
			-1, "Check Box:");
		sizer2->Add(label5,0,.wx.ALL , 4);
		
		.wx.CheckBox checkbox = .wx.CheckBox( this_object(), -1,"Check this!");
		sizer2->Add( checkbox, 1, .wx.ALL | .wx.EXPAND, 4);
		
		.wx.Button button1 = .wx.ToggleButton(this_object(),1,"Toggle me");
		sizer1->Add(button1,1,.wx.ALL,4);
		.wx.Button button2 = .wx.Button(this_object(),1,"Ok (Button)");
		sizer1->Add(button2,1,.wx.ALL,4);
		
		Connect(1,.wx.EVT_COMMAND_BUTTON_CLICKED,this_object()->OnQuit);
		Fit();
		
	}
	void OnQuit(.wx.Event event)
	{
		Destroy();
	}
}

class DialogTestApp
{
	inherit .wx.App;

	int OnInit()
	{
		MyDialog dialog=MyDialog();
		dialog->Show(1);
		SetTopWindow(dialog);
		return 1;
	}
}

int main()
{
	implement_app(DialogTestApp());
}
